Name: gnusim8085
Summary: Graphical Intel 8085 simulator, assembler and debugger
Version: 1.3.2
Release: %mkrel 3
License: GPLv2+
Group: Development/Other
Source: http://dl.sourceforge.net/sourceforge/%{name}/%{name}-%{version}.tar.gz
URL: http://gnusim8085.sourceforge.net
BuildRequires: gnomeui2-devel gtksourceview1-devel
BuildRequires: desktop-file-utils
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-build

%description
GNUSim8085 is a graphical simulator plus assembler with debugger for
the Intel 8085 microprocessor.  It is written using GNOME libs.  It
can also run on several window managers.

%prep
%setup -q

%build
%configure2_5x
%make

%install
rm -fr %{buildroot}
%makeinstall_std

desktop-file-install --vendor='' --delete-original \
	--dir %buildroot%_datadir/applications \
	--add-category='GTK;GNOME;Development;Debugger' \
	--remove-key='MultipleArgs' \
	--remove-key='Encoding' \
	%buildroot%_datadir/gnome/apps/Development/GNUSim8085.desktop

# doc files are holding by rpm itself
rm -fr %buildroot%_datadir/doc/*

%if %mdkversion < 200900
%post
%update_menus
%endif

%if %mdkversion < 200900
%postun
%clean_menus
%endif

%files
%defattr(-,root,root)
%doc README TODO NEWS AUTHORS ABOUT-NLS
%doc doc/*.txt doc/examples/*
%{_bindir}/*
%{_datadir}/pixmaps/gnusim8085
%{_datadir}/gtksourceview-1.0/language-specs/*.lang
%{_datadir}/applications/*.desktop

%clean
rm -rf %{buildroot}


%changelog
* Thu Jul 24 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.3.2-3mdv2009.0
+ Revision: 246506
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Sun Oct 28 2007 Funda Wang <fundawang@mandriva.org> 1.3.2-1mdv2008.1
+ Revision: 102847
- install correct dekstop file
- fix file list
- First package
- Created package structure for gnusim8085.

